org.apache.tomcat.util.http.fileupload

## Class FileUploadBase.IOFileUploadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.util.http.fileupload.FileUploadException
      - - org.apache.tomcat.util.http.fileupload.FileUploadBase.IOFileUploadException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    FileUploadBase

      public static class FileUploadBase.IOFileUploadException
      extends FileUploadException

  Thrown to indicate an IOException.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadBase.IOFileUploadException()`
    `FileUploadBase.IOFileUploadException(String message)`
    `FileUploadBase.IOFileUploadException(String message, Throwable cause)`
    `FileUploadBase.IOFileUploadException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadBase.IOFileUploadException

          public FileUploadBase.IOFileUploadException()

    - #### FileUploadBase.IOFileUploadException

          public FileUploadBase.IOFileUploadException(String message,
                                              Throwable cause)

    - #### FileUploadBase.IOFileUploadException

          public FileUploadBase.IOFileUploadException(String message)

    - #### FileUploadBase.IOFileUploadException

          public FileUploadBase.IOFileUploadException(Throwable cause)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.